日本免费全黄少妇一区二区三区-高清无码一区二区三区四区-欧美中文字幕日韩在线观看-国产福利诱惑在线网站-国产中文字幕一区在线-亚洲欧美精品日韩一区-久久国产精品国产精品国产-国产精久久久久久一区二区三区-欧美亚洲国产精品久久久久

從服務器能夠到達的所有網(wǎng)絡設備里面提取設備配置信息

【從服務器能夠到達的所有網(wǎng)絡設備里面提取設備配置信息】
本工具用于從網(wǎng)絡設備(CISCO)中提取配置文件,并保存到一個文本文件中 。
需要 expect 軟件支持,如果你的操作系統(tǒng)沒有這個軟件,請根據(jù)需要下載
在 sco Unix 中,請到 http://www.sco.com/skunkware/中下載,三個軟件: expect , tcl, tk 并安裝 。

主程序-----dome.sh
#!/bin/sh

counter=0

Usage()
{
echo "
Usage: $0 [iplist_filename]
功能:本程序用于讀網(wǎng)絡設備的配置信息 。
參數(shù): iplist_filename, 指定需要工作的網(wǎng)絡設備文件 。
文件格式:
節(jié)點編號 ip地址 Telnet密碼 超級用戶密碼 節(jié)點設備說明

如果沒有定義iplist_filename, 缺省文件名為:iplist
程序輸入文件: iplist.out 或者 自定義文件名.out nn"

exit 1

}

[ $# -eq 0 ] && input="iplist"
[ $# -eq 1 ] && input=$1
[ $# -gt 1 ] && Usage


output="$input.out"
[ -r $input ] || {
echo "Error: Can"t open file:$input"
exit 1
}
echo "">$output

lines=`wc -l $input|awk "{ print $1 }"`

while read node host pass1 pass2 name
do
counter=`expr $counter1 `
echo "nGet configure from [ $host ], Please wait...t[$counter/$lines]c">&2
echo "============== begin ==============================n">>$output
echo "NODE=$node">>$output
echo "NAME=$name">>$output
./router.cmd $host $pass1 $pass2>>$output
case $? in
0) echo "t----c">&2; continue
1) echo "tE--- error c">&2; continue
2) echo "t-E-- error c">&2; continue
3) echo "t--E- error c">&2; continue
4) echo "t---E error c">&2; continue
*) echo "t**** error c">&2; continue
esac
echo "-------------- end --------------------------------n">>$output
done<$input

echo "n===================nCreate output file: $output">&2

:em02: [b:7ce538da72]調(diào)用程序 router.cmd [/b:7ce538da72]
#!/usr/local/bin/expect --
# 登陸路由器的一個命令 Script for expact
# 重要變量說明:
# routerip=路由器telnet登陸ip地址
# passwd1=路由器telnet登陸密碼
# passwd2=路由器超級用戶密碼
# ---------------------------------------------------
if $argc!=3 {
send_user "Usage: router.cmd routerip passwd1 passwd2n"
exit 9
}
set ROUTERIP [lindex $argv 0]
set PASSWord1 [lindex $argv 1]
set PASSWORD2 [lindex $argv 2]
set TIMEOUT 30
set debug_flag 1
send_user "##### BEGINn"
spawn /usr/bin/telnet $ROUTERIP 23

set timeout $TIMEOUT
expect {
timeout {
send_user "Error 1: router ip can"t arrived.n"
send_user "##### ENDnn"
exit 1
}
"refused" {
send_user "Error 1: connection Failed.n"
send_user "##### ENDnn"
exit 1
}
"*assword: " { send "$PASSWORD1r" }
}

set timeout $TIMEOUT
expect {
timeout {
send_user "nError 2: invalid telnet password...n"
send_user "##### ENDnn"
exit 2
}
"*>" { send "enabler" }
}


set timeout $TIMEOUT
expect {
timeout {
send_user "nError 3: time out.n"
send_user "##### ENDnn"
exit 3
}
"Password: " { send "$PASSWORD2r" }
}


set timeout $TIMEOUT
expect {
timeout {
send_user "nError 4: Invalid password for super user...n"
send_user "##### ENDnn"
exit 3
}
"*#" { send "term len 0 r" }
}

expect "*#"
send "show runr"
expect "*#"
send "exitr"
send_user "n##### ENDnn"
exit 0

=============以上程序已經(jīng)在?。樱悖铩。眨睿椋。希樱遥怠±锩鏈y試通過

    推薦閱讀